x=-3:0.1:3;
[xx,yy]=meshgrid(x,x);
z=abs(exp(sin(yy) - cos(yy)) + atan(yy.^3/2) + atan(xx.^2) + cos(yy) + cos(yy -10) - cos(xx.^2 + 50) - sin(xx.^2) - sin(xx.^2 - 20) - (1 - sin(yy)) -sin (xx.^2 -10) - sin(yy) + atan(xx) + atan(yy) + cos(xx * yy) + atan(xx)+ atan(yy) + exp(sin(xx)) + exp(sin(xx)) + exp(sin(yy)) - exp(cos(xx))+ exp(cos(yy)) - sin(yy.^2) - cos(yy+xx) - atan(tanh(xx-yy)) - sin(cos(yy)) + cos(sin(yy)) + exp(cos(xx/2)) + (atan(xx * (exp(yy)))) + tanh(xx * cos(yy)))/18;
save -ascii altura.txt z
mesh(x,x,z);


